Skip to content

Delete an article

Request

You can delete a single article by making a DELETE request to https://api.intercom.io/articles/<id>.

Security
bearerAuth
Path
article_idstringrequired

The unique identifier for the article which is given by Intercom.

Example:123
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default:"2.11"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.11
curl -i -X DELETE \
  https://api.intercom.io/articles/123 \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Intercom-Version: 2.11'

Responses

successful

Bodyapplication/json
idstringrequired

The unique identifier for the article which you provided in the URL.

Example:"6890762"
objectstringrequired

The type of object which was deleted. - article

Value:"article"
Example:"article"
deletedbooleanrequired

Whether the article was deleted successfully or not.

Example:true
Response
{ "id": "51", "object": "article", "deleted": true }